VOL-1460 Generate stubs from proper version of protoc-gen-go

The go get for protobuf installs the :master verson of protoc-gen-go.
After the checkout of 1.3.1 run make install (go install) again so
the correct protoc-gen-go binary is generated.

Also fix typo in makefile that prevented install-protoc

Change-Id: I1cf5da45ef6cee998d8b4658a941518d3be94369
diff --git a/build_go_protos.sh b/build_go_protos.sh
index f8046cc..3d6090a 100755
--- a/build_go_protos.sh
+++ b/build_go_protos.sh
@@ -1,7 +1,4 @@
 #!/bin/sh
-
-set -e
-
 # Copyright 2018 the original author or authors.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
@@ -16,6 +13,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+set -e
+
 export PARENT_DIR="$1"
 export SRC_DIR="${PARENT_DIR}/voltha_protos"
 
@@ -62,7 +61,6 @@
     OMCI_PB \
     OPENOLT_PB"
 
-
 export OTHER_INCLUDES="${PARENT_DIR}/google/api"
 export PROTO_DESC_FILE="go/voltha.pb"